> For the complete documentation index, see [llms.txt](https://docs.guardianservice.app/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.guardianservice.app/technical-information/complex-iterative-review-and-approval-workflows/apis-related/returns-the-list-of-documents-in-the-target-policy.md).

# Returns the list of documents in the target policy

<mark style="color:green;">`GET`</mark> `/policy-repository/{policyId}/documents`

Returns the list of documents in the target policy

**Headers**

| Name          | Value              |
| ------------- | ------------------ |
| Content-Type  | `application/json` |
| Authorization | `Bearer <token>`   |

**Body**

| Name      | Type    | Description                                                            |
| --------- | ------- | ---------------------------------------------------------------------- |
| policyId  | string  | Policy ID                                                              |
| pageIndex | number  | The number of pages to skip before starting to collect the result set. |
| pageSize  | number  | The number of items to return                                          |
| type      | string  | Type of Document                                                       |
| owner     | string  | Document Owner                                                         |
| schema    | string  | Document Schema                                                        |
| comments  | boolean | Load Comments                                                          |

**Response**

{% tabs %}
{% tab title="200" %}

```json5
description: Successful operation.
          headers:
            X-Total-Count:
              schema:
                type: integer
              description: Total items in the collection.
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/VcDocumentDTO'
```

{% endtab %}

{% tab title="401" %}

```json5
{
   description: Unauthorized.
}
```

{% endtab %}

{% tab title="403" %}

```json5
description: Forbidden.
```

{% endtab %}

{% tab title="500" %}

```json5
description: Internal server error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InternalServerErrorDTO'
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.guardianservice.app/technical-information/complex-iterative-review-and-approval-workflows/apis-related/returns-the-list-of-documents-in-the-target-policy.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
